﻿using Syncfusion.DocIO.DLS;
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Windows;

namespace CreateWordSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        

        private void btnCreate_Click(object sender, RoutedEventArgs e)
        {
            string inputFile= @"..\..\Data\Sample.docx";
            string[] cellText = { "Wirkstoff", "Handelsname", "Starke", "Form", "morgens", "mitags", "abendds", "zurNacht" };

            WordDocument wordDocument = new WordDocument(inputFile);
            IWSection wSection = wordDocument.Sections[0];
            IWTable wTable = wSection.Tables[0];
            int i = 0;

            foreach (WTableCell cell in wTable.FirstRow.Cells)
            {
                cell.Width = 50;
                cell.CellFormat.TextWrap = true;
                cell.CellFormat.FitText = true;
                IWTextRange wTextRange = cell.AddParagraph().AppendText(cellText[i]);

                wTextRange.CharacterFormat.FontName = "Arial";
                wTextRange.CharacterFormat.FontSize = 10;
                wTextRange.CharacterFormat.Bold = true;
                i++;
            }

            wordDocument.Save("Result.docx");

            #region View the Workbook
            //Message box confirmation to view the created document.
            if (MessageBox.Show("Do you want to view the Word file?", "Word file has been created",
                    MessageBoxButton.YesNo, MessageBoxImage.Information) == MessageBoxResult.Yes)
            {
                try
                {
                    //Launching the Word file using the default Application.[Microsoft Word  Or Free WordViewer]
                    System.Diagnostics.Process.Start("Result.docx");

                    //Exit
                    Close();
                }
                catch (Win32Exception ex)
                {
                    Console.WriteLine(ex.ToString());
                }
            }
            else
                Close();
            #endregion
        }
    }
}

